<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class MakeAllColumnsNullable extends Migration
{
    public function up()
    { 
        // 'access_role' and 'tier_id' moth are must even if they are null system based on it hahahaha

        Schema::table('emp_company_details', function (Blueprint $table) {
            $table->string('employment_type')->nullable()->change();
            $table->string('access_role')->nullable()->change();
            $table->string('work_permit_type')->nullable()->change();
            $table->string('tax_file_no')->nullable()->change();
            $table->string('employment_start_date')->nullable()->change();
            $table->string('attendance_effective_from')->nullable()->change();
        });

        Schema::table('emp_personal_details', function (Blueprint $table) {
            $table->string('postcode')->nullable()->change();
        });
    }

    public function down()
    {
       //
    }
}
